Bug 1020220 - (CVE-2013-4440) CVE-2013-4440 pwgen: non-tty passwords are trivially weak by default
CVE-2013-4440 pwgen: non-tty passwords are trivially weak by default
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120117,repor...
: Security
Depends On: 1020222 1020223
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 06:13 EDT by Ratul Gupta
Modified: 2015-07-31 03:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-10-17 06:13:31 EDT
Pwgen was found to generate weak non-tty passwords by default, which could be brute-forced with a commendable success rate, which could raise security concerns.

There seems to be a patch here saying it fixes most of the issues:
http://marc.info/?l=oss-security&m=137049241132104&w=4

References:
http://seclists.org/oss-sec/2013/q4/116
http://www.openwall.com/lists/oss-security/2012/01/17/12
http://marc.info/?l=oss-security&m=137049241132104&w=4
Comment 1 Ratul Gupta 2013-10-17 06:14:38 EDT
Created pwgen tracking bugs for this issue:

Affects: fedora-all [bug 1020222]
Affects: epel-all [bug 1020223]
Comment 3 Fedora Update System 2014-12-13 04:36:29 EST
pwgen-2.07-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-12-14 23:34:42 EST
pwgen-2.07-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-12-16 23:42:04 EST
pwgen-2.07-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-12-21 12:43:01 EST
pwgen-2.07-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-12-21 12:43:15 EST
pwgen-2.07-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-12-21 12:43:30 EST
pwgen-2.07-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.